#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gdk-pixbuf
Version		:	2.42.8
Release		:	14.4.0.0%{?dist}
Summary		:	An image loading library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/gdk-pixbuf/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	docbook-xsl
BuildRequires	:	glib-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk-doc
BuildRequires	:	libjpeg-turbo
BuildRequires	:	libpng
BuildRequires	:	libtiff
BuildRequires	:	libxslt
BuildRequires	:	meson, ninja
BuildRequires	:	shared-mime-info
BuildRequires	:	xorg-libX11

#-----------------------------------------------------------------------------
%description
gdk-pixbuf is an image loading library that can be extended by loadable
modules for new image formats. It is used by toolkits such as GTK+ or
clutter.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING NEWS README.md
%{_includedir}/%{name}-2.0/%{name}*/*.h
%{_prefix}/lib/%{name}-2.0/2*/loaders.cache
%{_bindir}/%{name}*
%{_libdir}/%{name}-2.0/2*/loaders/libpixbufloader-*.so
%{_libdir}/libgdk_pixbuf-2.0.so*
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/girepository-1.0/GdkPixbuf-*.typelib
%{_libdir}/girepository-1.0/GdkPixdata-*.typelib
%{_datadir}/gir-1.0/GdkPixbuf-*.gir
%{_datadir}/gir-1.0/GdkPixdata-*.gir
#{_datadir}/gtk-doc/html/%{name}/*.{html,png}
#{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/locale/*/*/*.mo
%{_datadir}/thumbnailers/%{name}-thumbnailer.thumbnailer
%{_mandir}/man1/*.1.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
%{name}-query-loaders > %{_prefix}/lib/%{name}-2.0/2.10.0/loaders.cache
%{name}-query-loaders --update-cache

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build

meson							\
	-Dgio_sniffing=false				\
	-Dgtk_doc=false					\
	-Dinstalled_tests=false				\
	-Djpeg=enabled					\
	-Dman=true					\
	-Dpng=enabled					\
	-Drelocatable=false				\
	-Dtiff=enabled					\
	-Dnative_windows_loaders=false			\
	--buildtype=release				\
	--wrap-mode=nofallback				\
	--prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja -v -k1 %{_smp_mflags}

popd
	
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}                                    \
        ninja                                           \
        -C build                                        \
        install

%{__mkdir_p} %{buildroot}%{_prefix}/lib/%{name}-2.0/2.10.0
touch %{buildroot}%{_prefix}/lib/%{name}-2.0/2.10.0/loaders.cache

#-----------------------------------------------------------------------------
%changelog
